<template>
  <div
    class="module module-text"
    :class="[
      data.alignleft ? 'left' : 'centered',
      { 'pb-0': data.removePaddingBottom },
    ]"
  >
    <div class="row" :class="{ 'justify-content-center': !data.alignleft }">
      <div
        class="col-12"
        :class="{
          'col-md-10 col-lg-8 text-center': !data.alignleft,
          'col-md-8 col-lg-6 offset-lg-1': data.alignleft,
        }"
      >
        <h2
          v-if="data.headline"
          :class="{ 'mx-auto': !data.alignleft }"
          v-html="$stripPTags(data.headline)"
        />
        <div
          v-if="data.text"
          class="text"
          :class="{ 'mx-auto': !data.alignleft }"
          v-html="data.text"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type:Object,
      default: () => {},
    }
  },
}
</script>

<style lang="scss">
.module-text {
  &.centered {
    h2,
    h2 > span {
      max-width: 700px;
    }

    .text {
      max-width: 450px;

      p:last-child {
        margin-bottom: 0;
      }
    }
  }

  &.left .text {
    h2,
    h3 {
      font-family: $font-family-sans-serif;
      font-weight: 600;
      letter-spacing: 1px;
    }

    h2 {
      font-size: 1.5rem;
      margin-bottom: 1rem;
      text-transform: uppercase;
    }

    h3 {
      font-size: 1.25rem;
      margin-bottom: 1rem;
    }
  }
}
</style>
